---
title: NavigatorID.platform
slug: Web/API/NavigatorID/platform
tags:
  - API
  - Deprecated
  - HTML DOM
  - Navigator
  - NavigatorID
  - Property
  - Reference
  - platform
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>Returns a string representing the platform of the browser. The specification allows browsers to always return the empty string, so don't rely on this property to get a reliable answer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>platform</em> = navigator.platform
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} identifying the platform on which the browser is running, or an empty string if the browser declines to (or is unable to) identify the platform. <code>platform</code> is a string that must be an empty string or a string representing the platform on which the browser is executing.</p>

<p>For example: "<code>MacIntel</code>", "<code>Win32</code>", "<code>FreeBSD i386</code>", "<code>WebTV OS</code>"</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">console.log(navigator.platform);</pre>

<h2 id="Usage_notes">Usage notes</h2>

<p>Most browsers, including Chrome, Edge, and Firefox 63 and later, return <code>"Win32"</code> even if running on a 64-bit version of Windows. Internet Explorer and versions of Firefox prior to version 63 still report <code>"Win64"</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-platform', 'NavigatorID.platform')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorID.platform")}}</p>
